//package com.energy.online.data.service.listener;
//
//import org.openmuc.j60870.ClientConnectionBuilder;
//import org.openmuc.j60870.Connection;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//
//import java.net.InetAddress;
//import java.net.UnknownHostException;
//
////由于可能要监听多个从站，这里使用多线程处理
//public class J60870Client implements Runnable {
//
//    private static final Logger log = LoggerFactory.getLogger(J60870Client.class);
//
//    public static String title = "104协议数据服务 - ";
//
//    private String addrerss;
//
//    int port = 2404;
//
//    int time = 3000;
//    //监听类，后面代码会给出
//    private J60870ClientListener listener;
//    //连接类
//    private Connection connection;
//
//    //连接参数，可以配置的参数有好多，比如t0,t1,t2等等
//    private ClientConnectionBuilder clientConnectionBuilder;
//
//    /**
//     *
//     * @param addrerss
//     */
//    public J60870Client(String addrerss) throws UnknownHostException {
//        this.addrerss = addrerss;
//        init();
//    }
//
//    /**
//     *
//     * @param addrerss
//     * @param port
//     */
//    public J60870Client(String addrerss,int port) throws UnknownHostException {
//        this.addrerss = addrerss;
//        this.port = port;
//        init();
//    }
//
//    /**
//     *
//     * @param addrerss
//     * @param port
//     * @param time
//     */
//    public J60870Client(String addrerss,int port,int time) throws UnknownHostException {
//        this.addrerss = addrerss;
//        this.port = port;
//        this.time = time;
//        init();
//    }
//
//    /**
//     * 初始化
//     */
//    public void init() throws UnknownHostException {
//
//        //获取server端、从站的ip地址对象，这里使用本地ip
//        InetAddress address = InetAddress.getByName(addrerss);
//        //创建连接参数对象
//        clientConnectionBuilder = new ClientConnectionBuilder(address);
//
//        //设置socket的连接超时时间
//        clientConnectionBuilder.setConnectionTimeout(time);
//
//        //设置socket的连接超时时间
//        clientConnectionBuilder.setPort(port);
//
//        log.info(title+"J60870Client Init Success By Host "+addrerss);
//    }
//
//    /**
//     * Runnable的run方法重写
//     */
//    @Override
//    public void run() {
//        try {
//            //主站与从站连接
//            connection = clientConnectionBuilder.build();
//            //配置数据回调类
//            listener = new J60870ClientListener();
//
//            connection.startDataTransfer(listener);
//
//            log.info(title+"J60870Client Run Success By Listener");
//
//        } catch (Exception e) {
//
//            e.printStackTrace();
//
//            log.info(title+"J60870Client Run Exception By Listener");
//        }
//    }
//
//    /**
//     * 关闭连接
//     */
//    public void disconnect() {
//        try {
//
//            this.connection.close();
//
//            log.info(title+"J60870Client Disconnect Success By Close");
//
//        } catch (Exception e) {
//
//            e.printStackTrace();
//
//            log.info(title+"J60870Client Disconnect Exception By Close");
//        }
//    }
//}
