package com.energy.online.data.service.service;

import com.energy.online.data.service.po.MeasurementConfPO;
import com.energy.online.data.service.po.MeasurementTempPO;

import java.util.List;
import java.util.Map;

/***
 * 104规约接口
 */
public interface J104ClinetService {

    /**
     * 104规约数据入库操作
     * @param receiptTimeLong 采集时间
     */
     void processingDat(long receiptTimeLong,Map<String,String> dataMap,Integer confId,Integer commonAddress,String addrerss);

    /**
     * 保存临时表
     * @param measurementTempPOList
     * @return
     */
    boolean saveMeasurementTemp(List<MeasurementTempPO> measurementTempPOList);

    /**
     * 删除临时表数据(待用)
     * @param
     * @return
     */
    boolean delMeasurementTemp(Long receiptTime,Integer confId);

    /**
     * 查询临时表集合
     * @param
     * @return
     */
    List<MeasurementTempPO> getMeasurementTemp(Long receiptTime,Integer confId);


    /**
     * 倒序获取最新数据，通过配置表对应id（measurement_conf）内id
     * @param confId
     * @return
     */
    Long getMeasurementTime(Integer confId);

    /**
     * 查询配置表
     * @return
     */
    List<MeasurementConfPO> getMeasurementConfList();

    /**
     *
     */
    void initDelMeasurementTemp();


}
